List stock
Lists all stock on a warehouse. Use the Accept header to choose the response format
Available formats: json, PDF and spreadsheet (excel file).
Required permissions: WAREHOUSE, REPORTING
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
productGroupUidsstring[]Optional
Reference to a list of productGroup Ids.
brandUidsstring[]Optional
Reference to a list of brand Ids.
Responses
200
Example response
string · binaryOptional
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stock HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
binaryLast updated
Was this helpful?

